Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.parser
Class OWLlinkIsEntailedDirectElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler<IsEntailedDirect>
                  org.semanticweb.owlapi.owllink.server.parser.OWLlinkIsEntailedDirectElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<IsEntailedDirect>, OWLlinkRequestElementHandler<IsEntailedDirect>

    public class OWLlinkIsEntailedDirectElementHandler

extends AbstractOWLlinkKBRequestElementHandler<IsEntailedDirect>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 24.11.2009

Field Summary
`protected OWLAxiom` | `axiom`

Constructor Summary
`OWLlinkIsEntailedDirectElementHandler(OWLXMLParserHandler handler)`

Method Summary
`IsEntailedDirect` | `getOWLObject()`
`void` | `handleChild(AbstractOWLAxiomElementHandler handler)`
`protected boolean` | `isLegalAxiom(OWLAxiom axiom)`
`protected boolean` | `isOWLClassAssertionAxiom(OWLAxiom axiom)`
`protected boolean` | `isOWLSubClassAxiom(OWLAxiom axiom)`
`protected boolean` | `isOWLSubDataPropertyOfAxiom(OWLAxiom axiom)`
`protected boolean` | `isOWLSubObjectPropertyOfAxiom(OWLAxiom axiom)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler
`attribute, endElement, getKB`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler
`getOWLlinkObject, getParentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.server.parser.OWLlinkElementHandler
`getOWLlinkObject`

Field Detail

### axiom

    protected OWLAxiom axiom

Constructor Detail

### OWLlinkIsEntailedDirectElementHandler

    public OWLlinkIsEntailedDirectElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractOWLlinkKBRequestElementHandler<IsEntailedDirect>`
  Throws:
    `OWLXMLParserException`

### getOWLObject

    public IsEntailedDirect getOWLObject()
                                  throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### isOWLSubClassAxiom

    protected boolean isOWLSubClassAxiom(OWLAxiom axiom)

### isOWLSubObjectPropertyOfAxiom

    protected boolean isOWLSubObjectPropertyOfAxiom(OWLAxiom axiom)

### isOWLSubDataPropertyOfAxiom

    protected boolean isOWLSubDataPropertyOfAxiom(OWLAxiom axiom)

### isOWLClassAssertionAxiom

    protected boolean isOWLClassAssertionAxiom(OWLAxiom axiom)

### isLegalAxiom

    protected boolean isLegalAxiom(OWLAxiom axiom)

### handleChild

    public void handleChild(AbstractOWLAxiomElementHandler handler)
                     throws OWLXMLParserException

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<IsEntailedDirect>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<IsEntailedDirect>`
  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD